> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/authentication/forgot-password.md).

# Forgot Password

## POST /api/Public/ForgotPassword/initiate

> Initiate forgot password

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ForgotPassword"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.ForgotPasswordRequest":{"required":["emailId"],"type":"object","properties":{"emailId":{"maxLength":255,"minLength":1,"type":"string","format":"email"},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ForgotPassword/initiate":{"post":{"tags":["ForgotPassword"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ForgotPasswordRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{}}}}},"summary":"Initiate forgot password","operationId":"post_ForgotPassword_initiate"}}}}
```

## POST /api/Public/ForgotPassword/validate-link

> Validate link

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ForgotPassword"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/ForgotPassword/validate-link":{"post":{"tags":["ForgotPassword"],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{}}}}},"summary":"Validate link","operationId":"post_ForgotPassword_validate_link"}}}}
```

## POST /api/Public/ForgotPassword/reset

> Reset

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ForgotPassword"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.ResetPasswordRequest":{"required":["confirmPassword","token"],"type":"object","properties":{"token":{"minLength":1,"type":"string"},"emailId":{"type":"string","nullable":true},"newPassword":{"type":"string","nullable":true},"confirmPassword":{"minLength":1,"type":"string"},"browserinfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ForgotPassword/reset":{"post":{"tags":["ForgotPassword"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ResetPasswordRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{}}}}},"summary":"Reset","operationId":"post_ForgotPassword_reset"}}}}
```
